{% extends 'miniblog/base.html' %}
{% load static %}
{% block content %}

<div class="col-sm-10">
 <h3 class="text-white my-5">Become an Author</h3>
 {% if messages %}
 {% for message in messages %}
  <p {% if message.tags %} class="alert alert-{{message.tags}} mb-5" {% endif %}>{{message}}}</p>
 {% endfor %}
 {% endif %}
 <form action="" method="post" novalidate>
  {% csrf_token %}
  {% for fm in form %}
   <div class="form-group">
   {{fm.label_tag}} {{fm}} <small class="text-warning">{{fm.errors|striptags}}</small>
   </div>
  {% endfor %}
  <input type="submit" value="Submit" class="btn btn-primary">
  {% if form.non_field_errors %}
   {% for error in form.non_field_errors %}
    <p class="alert alert-danger my-3">{{error}}</p>
   {% endfor %}
  {% endif %}
 </form>
</div>

{% endblock content %}
